Skip to main content
POST
/
driving-license
Verify Driving Licence Details
curl --request POST \
  --url https://sandbox.cashfree.com/verification/driving-license \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "verification_id": "test001",
  "dl_number": "KA0120198900984",
  "dob": "1994-08-05"
}
'
{
  "verification_id": "69c5077c-d95a-48cb-b428-4ced025db671",
  "reference_id": 76,
  "dl_number": "KA51201900089895",
  "dob": "1994-08-05",
  "status": "VALID",
  "badge_details": [
    {
      "badge_issue_date": null,
      "badge_no": null,
      "class_of_vehicle": [
        "LMV"
      ]
    }
  ],
  "dl_validity": {
    "non_transport": {
      "to": "09/05/2039",
      "from": "10/05/2019"
    },
    "hazardous_valid_till": null,
    "transport": {
      "to": null,
      "from": null
    },
    "hill_valid_till": null
  },
  "details_of_driving_licence": {
    "date_of_issue": "10/05/2019",
    "date_of_last_transaction": null,
    "status": null,
    "last_transacted_at": null,
    "name": "JOHN DOE",
    "father_or_husband_name": "JOHN DOE",
    "address_list": [
      {
        "complete_address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
        "type": "permanent",
        "split_address": {
          "district": [
            "BANGALORE"
          ],
          "state": [
            [
              "KARNATAKA",
              "KA"
            ]
          ],
          "city": [
            "BELLANDUR"
          ],
          "pincode": "560103",
          "country": [
            "IN",
            "IND",
            "INDIA"
          ],
          "address_line": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103"
        }
      },
      {
        "complete_address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
        "type": "temporary",
        "split_address": {
          "district": [
            "BANGALORE"
          ],
          "state": [
            [
              "KARNATAKA",
              "KA"
            ]
          ],
          "city": [
            "BELLANDUR"
          ],
          "pincode": "560103",
          "country": [
            "IN",
            "IND",
            "INDIA"
          ],
          "address_line": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103"
        }
      }
    ],
    "address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
    "split_address": {
      "district": [
        "BANGALORE"
      ],
      "state": [
        ""
      ],
      "city": [
        "BELLANDUR"
      ],
      "pincode": "560103",
      "country": [
        "IN",
        "IND",
        "INDIA"
      ],
      "address_line": "FLAT NO D-901 SUNCITY,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103"
    },
    "cov_details": []
  }
}

Authorizations

x-client-id
string
header
required

Client ID. You can find your ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if IP is not whitelisted.

Body

application/json

Find the request paramenters to retrieve your customer's driving license information

verification_id
string
default:test001
required

It is the unique ID you create to identify the verification request. A maximum of 50 characters are allowed. Only alphanumeric, period (.), hyphen (-) and underscore ( _ ) are allowed.

Example:

"test001"

dl_number
string
default:KA0120198900984
required

It is the driving licence number of the individual for verification.

Example:

"KA0120198900984"

dob
string
default:1994-08-05
required

It is the date of birth of the individual as present in the driving licence. The accepted format is YYYY-MM-DD.

Example:

"1994-08-05"

Response

Success response for retrieving the driving licence information

verification_id
string

It displays the unique ID you created to identify this API request.

Example:

"test001"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

78

dl_number
string

It displays the unique number assigned to the driving licence.

Example:

"JK01FG8087"

dob
string

It displays the date of birth of the individual as present in the driving licence.

Example:

"2001-10-23"

status
string

It displays the status of the driving licence. Possible values are

  • VALID: driving license is valid.
  • INVALID: driving licence is invalid.
Example:

"VALID"

badge_details
object[]

It contains the...

dl_validity
object

It contains the different information regarding the validity of the licence.

details_of_driving_licence
object

It contains the details of the driving licence.

Example:
{
"value": {
"date_of_issue": "10/05/2019",
"date_of_last_transaction": null,
"status": null,
"last_transacted_at": null,
"name": "JOHN DOE",
"father_or_husband_name": "JOHN DOE",
"address_list": [
{
"complete_address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"type": "permanent",
"split_address": {
"district": ["BANGALORE"],
"state": ["KARNATAKA", "KA"],
"city": ["BELLANDUR"],
"pincode": "560103",
"country": ["IN", "IND", "INDIA"],
"address_line": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103"
}
},
{
"complete_address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"type": "temporary",
"split_address": {
"district": ["BANGALORE"],
"state": ["KARNATAKA", "KA"],
"city": ["BELLANDUR"],
"pincode": "560103",
"country": ["IN", "IND", "INDIA"],
"address_line": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103"
}
}
],
"address": "FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"split_address": {
"district": ["BANGALORE"],
"state": [""],
"city": ["BELLANDUR"],
"pincode": "560103",
"country": ["IN", "IND", "INDIA"],
"address_line": "FLAT NO D-901 SUNCITY,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103",
"cov_details": []
}
}
}